*File to build tables

PARAMETERS

 VAS(I)   Initial share of sector I VA in total VA
 MQS(TR)  Initial share of imports in composite good
 MTS(TR)  Initial share of sector TR imports in total import
 EXXS(TR) Initial share of export in production
 EXTS(TR) Initial share of sector TR exports in total export
 VTM(TR)  Change in tariff rates
 VM(TR)   Change in import volumes
 VD(TR)   Change in local demand volumes
 VEX(TR)  Change in export volumes
 VXS(I)   Change in production volumes
 VPD(TR)  Change in local prices
 VP(I)    Change in producer prices
 VPV(I)   Change in value added prices
 TMT      Initial total import duty rate
 MQST     Initial share of total import in total comp good
 EXXST    Initial share of total export in total production
 AVM      Average import change
 AVD      Average change in local demand
 AVEX     Average change in export
 AVXS     Average change in production
 PDI      Domestic price Laspeyres index variation
 PVI      Producer price Laspeyres index variation
 PI       Producer price Laspeyres index variation

 VVA(I)   Change in value added
 KL(TR)   Initial factor intensity
 wLS(I)   Initial sectoral labor income share
 rKS(TR)  Initial sectoral capital income share
 RLS(TR)  Initial sectoral land income share
 Vw       Change in wage rate
 AVVA     Average change in value added
 KLT      Initial average factor intensity
 rI       Return to capital Laspeyres index variation
 rlI      Return to land Laspeyres index variation

 Vrl(TR)  Change in return to land
 Vr(TR)   Change in return to capital
 wLH(H)   Initial share of income from labor
 VwLH(H)  Change in income from labor
 rKH(H)   Initial share of income from capital
 VrKH(H)  Change in income from capital
 rlH(H)   Initial share of income from land
 VrlH(H)  Change in income from land
 VOI(H)   Change in other income
 OIH(H)   Initial share of other income
 VOIH(H)  Change in income from other sources
 VYH(H)   Change in total income
 VDTH(H)  Change in direct taxes
 VYDH(H)  Change in disposable income

 VPM(TR)  Change in price of import
 VPC(TR)  Change in composite price
 gammac(TR,H) Cons share in %
 PCI      Consumer price Laspeyres index variation
 PMI      Import price Laspeyres index variation
 PHI(H)   Household price Laspeyres index variation

 EVP(H)   Equivalent variation in % of initial income
 VYHT     Change in income for all household
 EVPT     Total EV as a % of total income
;

 VAS(I)   = PVO(I)*VAO(I)/SUM(J,PVO(J)*VAO(J))*100;
 MQS(TR)  = MO(TR)/QO(TR)*100;
 MTS(TR)  = MO(TR)/SUM(TRJ,MO(TRJ))*100;
 EXXS(TR) = EXO(TR)/XSO(TR)*100;
 EXTS(TR) = EXO(TR)/SUM(TRJ,EXO(TRJ))*100;
 VM(TR)   = (M.L(TR)-MO(TR))/MO(TR)*100;
 VD(TR)   = (D.L(TR)-DO(TR))/DO(TR)*100;
 VEX(TR)  = (EX.L(TR)-EXO(TR))/EXO(TR)*100;
 VXS(I)   = (XS.L(I)-XSO(I))/XSO(I)*100;
 VPD(TR)  = (PD.L(TR)-PDO(TR))/PDO(TR)*100;
 VP(I)    = (P.L(I)-PO(I))/PO(I)*100;
 VPV(I)   = (PV.L(I)-PVO(I))/PVO(I)*100;
 TMT      = SUM(TR,TIMO(TR))/SUM(TR,MO(TR));
 MQST     = SUM(TR,MO(TR))/SUM(TR,QO(TR))*100;
 EXXST    = SUM(TR,EXO(TR))/SUM(TR,XSO(TR))*100;
 AVM      = (SUM(TR,M.L(TR))-SUM(TR,MO(TR)))/SUM(TR,MO(TR))*100;
 AVD      = (SUM(TR,D.L(TR))-SUM(TR,DO(TR)))/SUM(TR,DO(TR))*100;
 AVEX     = (SUM(TR,EX.L(TR))-SUM(TR,EXO(TR)))/SUM(TR,EXO(TR))*100;
 AVXS     = (SUM(TR,XS.L(TR))-SUM(TR,XSO(TR)))/SUM(TR,XSO(TR))*100;
 PDI      = (SUM(TR,PD.L(TR)*DO(TR))/SUM(TR,PDO(TR)*DO(TR))-1)*100;
 PVI      = (SUM(I,PV.L(I)*VAO(I))/SUM(I,PVO(I)*VAO(I))-1)*100;
 PI       = (SUM(I,P.L(I)*XSO(I))/SUM(I,PO(I)*XSO(I))-1)*100;


 VVA(I)   = (VA.L(I)-VAO(I))/VAO(I)*100;
 KL(TR)   = KDO(TR)/LDO(TR);
 wLS(I)   = wO*LDO(I)/SUM(J,wO*LDO(J))*100;
 rKS(TR)  = rO(TR)*KDO(TR)/SUM(TRJ,rO(TRJ)*KDO(TRJ))*100;
 Vw       = (w.L-wO)/wO*100;
 AVVA     = (SUM(TR,VA.L(TR))-SUM(TR,VAO(TR)))/SUM(TR,VAO(TR))*100;
 KLT      = SUM(TR,KDO(TR))/SUM(TR,LDO(TR));
 rI       = (SUM(TR,r.L(TR)*KDO(TR))/SUM(TR,rO(TR)*KDO(TR))-1)*100;
 rlI      = ((rl.L*LANDO)/(rlO*LANDO)-1)*100;

 Vr(TR)   = (r.L(TR)-rO(TR))/rO(TR)*100;
 Vrl("AGR") = (rl.L-rlO)/rlO*100;
 wLH(H)   = lambda_w(H)*wo*LSO/YHO(H)*100;
 VwLH(H)  = Vw*wLH(H)/100;
 rKH(H)   = lambda_r(H)*SUM(TR,ro(TR)*KDO(TR))/YHO(H)*100;
 VrKH(H)  = rI*rKH(H)/100;
 rlH(H)   = lambda_l(H)*rlo*LANDO/YHO(H)*100;
 VrlH(H)  = rlI*rLH(H)/100;
 VOI(H)   = ((YH.L(H)-lambda_w(H)*w.L*LS.L+lambda_r(H)*SUM(TR,r.L(TR)*KD.L(TR))
             +lambda_l(H)*rl.L*LAND.L)-(YHO(H)-lambda_w(H)*wO*LSO
             +lambda_r(H)*SUM(TR,rO(TR)*KDO(TR))+lambda_l(H)*rlO*LANDO))
             /(YHO(H)-lambda_w(H)*wO*LSO+lambda_r(H)*SUM(TR,rO(TR)*KDO(TR))
             +lambda_l(H)*rlO*LANDO)*100;
 OIH(H)   = 100-wLH(H)-rKH(H)-rlH(H);
 VOIH(H)  = VOI(h)*OIH(H)/100;
 VYH(H)   = (YH.L(H)-YHO(H))/YHO(H)*100;
 VDTH(H)  = (DTH.L(H)-DTHO(H))/DTHO(H)*100;
 VYDH(H)  = (YDH.L(H)-YDHO(H))/YDHO(H)*100;

 VPM(TR)  = (PM.L(TR)-PMO(TR))/PMO(TR)*100;
 VPC(TR)  = (PC.L(TR)-PCO(TR))/PCO(TR)*100;
 gammac(TR,H) = gamma(TR,H)*100;
 PCI      = (SUM(TR,PC.L(TR)*QO(TR))/SUM(TR,PCO(TR)*QO(TR))-1)*100;
 PMI      = (SUM(TR,PM.L(TR)*MO(TR))/SUM(TR,PMO(TR)*MO(TR))-1)*100;
 PHI(H)   = (SUM(TR,PC.L(TR)*CO(TR,H))/SUM(TR,PCO(TR)*CO(TR,H))-1)*100;

 EVP(H)   = (EV.L(H)/YHO(H))*100;
 VYHT     = (SUM(H,YH.L(H))-SUM(H,YHO(H)))/SUM(H,YHO(H))*100;
 EVPT     = SUM(H,EV.L(H))/SUM(H,YHO(H))*100;


file tabs /

   tables_new.xls/;
   tabs.pc=6;
   tabs.nd=2;

put tabs;

put 'TABLE 1' /;

put ' ' put 'Change in' put 'Elasticities' put '' put 'Sectoral shares' put '' put ''
   put '' put 'PMi' put 'Volume change' put '' put '' put ''
   put 'Prices' /;

put 'Sectors' put 'PM' put 'CES' put 'CET' put 'VAi/VA' put 'Mi/M'
   put 'EXi/EX'  put 'Mi/Qi'  put 'EXi/XS' put 'dMi' put 'dDi'
   put 'dEXi' put 'dXSi' put 'dPDi' put 'dPi' /;

loop(TR, put TR.TE(TR) put VPM(TR) put sigma_m(TR) put tau_e(TR) put VAS(TR)
         put MTS(TR) put EXTS(TR) put MQS(TR) put EXXS(TR) put VM(TR)
         put VD(TR) put VEX(TR) put VXS(TR) put VPD(TR) put VP(TR) put /);
loop(NTR, put NTR.TE(NTR) put '-' put '-' put '-' put VAS(NTR)
         put '-' put '-' put '-' put '-' put '-'
         put '-' put '-' put VXS(NTR)  put '-' put VP(NTR) put /);
put 'Total*' put PMI put '-' put '-' put 100 put 100 put 100 put MQST
         put EXXST put AVM  put AVD put AVEX put AVXS put PDI put PI /;
put '   * Average variation for volumes; Laspeyres index variation for prices'
put ///;

put 'TABLE 2' /;

put ' ' put ' ' put ' ' put 'Shares'  /;
put 'Sectors'  put 'dPVi'  put 'dVAi' put 'Ki/Li' put 'wLi/wL'
     put 'riKi/rK' put 'dw' put 'dri' put 'drlI'/;
loop(TR, put TR.TE(TR) put VPV(TR) put VVA(TR) put KL(TR) put wLS(TR)
         put rKS(TR) put Vw put Vr(TR) put Vrl(TR) put /);
loop(NTR, put NTR.TE(NTR) put VPV(NTR) put VVA(NTR) put '-' put wLS(NTR)
         put '-' put Vw put '-' put '-' put /);
put 'Total*' put PVI put AVVA put KLT put 100 put 100 put Vw put rI put rlI /;
put '   * Average variation for volumes; Laspeyres index variation for prices'
put ///;

put 'TABLE 3' /;

put ' ' put 'Change' put '' put '' put '' put 'Income share(%)' put '' put '' put '' put 'Income change' /;
put ' ' loop(H, put H.TL) loop(H, put H.TL) loop(H, put H.TL) put /;
put 'Wage rate' loop(H, put Vw) loop(H, put wLH(H)) loop(H, put VwLH(H)) put /;
put 'Rate of return to capital' loop(H, put rI) loop(H, put rKH(H)) loop(H, put VrKH(H)) put /;
put 'Rate of return to land' loop(H, put rlI) loop(H, put rlH(H)) loop(H, put VrlH(H)) put /;
put 'Other income' loop(H, put VOI(H)) loop(H, put OIH(H)) loop(H, put VOIH(H)) put /;
put 'Total' loop(H, put '-') loop(H, put 100) loop(H, put VYH(H)) put /;
put 'Change in direct taxes' loop(H, put '-') loop(H, put '-')
                              loop(H, put VDTH(H)) put /;
put 'Change in net income' loop(H, put '-') loop(H, put '-')
                              loop(H, put VYDH(H)) put /;
put ///;

put 'TABLE 4' /;

put ' ' put 'Share' put 'Change in' put 'Change in prices' put '' put ''
      put 'Consumption share' put /;
put 'Sectors' put 'Mi/Qi' put 'sales tax' put 'dPMi' put 'dPDi'
      put 'dPCi' loop(H, put H.TL) put /;
loop(TR, put TR.TE(TR) put MQS(TR) put '' put VPM(TR) put VPD(TR) put VPC(TR)
         loop (H, put gammac(TR,H)) put /);
put 'Total' put MQST put '' put PMI put PDI put PCI loop(H, put 100) put /;
put '' put 'Change in household consumer price' put '' put '' put '' put ''
       loop(H, put PHI(H))put /;
put ///;

put 'TABLE 5' /;

put '' loop(H, put H.TL) put 'All' put /;
put 'Change in nominal income' loop(H, put VYH(H)) put VYHT /;
put 'Change in household consumer price' loop(H, put PHI(H)) put PCI put/;
put 'Equivalent variation' loop(H, put EVP(H)) put EVPT put/;

put 'TABLE 6' /;

put '' 'change in wage' put vw /;